Bug 250903 - Review Request: python-exif - Python module to extract EXIF information
Review Request: python-exif - Python module to extract EXIF information
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-04 17:43 EDT by Terje Røsten
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 17:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
toshio: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-08-04 17:43:28 EDT
Spec: http://terjeros.fedorapeople.org/python-exif/python-exif.spec
SRPM: http://terjeros.fedorapeople.org/python-exif/python-exif-1.0.2-1.fc7.src.rpm

Description: 
 Python Library to extract EXIF information in digital camera image files
Comment 1 Kevin Fenzi 2007-08-05 18:12:37 EDT
I'd be happy to review this. Look for a full review in a few. 
Comment 2 Kevin Fenzi 2007-08-05 19:30:45 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
7df9f94e98b6ff5da872105a11069356  EXIFpy_1.0.2.tar.gz
7df9f94e98b6ff5da872105a11069356  EXIFpy_1.0.2.tar.gz.1
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. You have a typo in the 2nd line of the spec that makes it not build.

2. Your url has a typo:
http://http://sourceforge.net/projects/...

3. Doesn't build under mock. Perhaps You need a
BuildRequires: python-devel ?
Adding that gets it building here.

4. It seems a bit odd to include the entire .py file as a doc to get
the license. Perhaps you could split out the license? Are you releasing
your added setup.py under the same license?

Comment 3 Terje Røsten 2007-08-06 03:22:17 EDT
New version ready:

- Fix typo in url
- Add python-devel to buildreq
- Add license to setup.py
- Strip code from %%doc file
- Fix typo in sitelib macro

SPEC: http://terjeros.fedorapeople.org/python-exif/python-exif.spec
SRPM: http://terjeros.fedorapeople.org/python-exif/python-exif-1.0.2-2.fc7.src.rpm
Comment 4 Kevin Fenzi 2007-08-06 22:07:40 EDT
Looks good. All issues I saw have been fixed. 

This package is APPROVED. 

Don't forget to close this request once it's been imported and built. 
Also, do consider reviewing another waiting package and helping with the 
review backlog. 
Comment 5 Terje Røsten 2007-08-07 13:58:40 EDT
Thanks Kevin!


New Package CVS Request
=======================
Package Name: python-exif
Short Description: Python module to extract EXIF information
Owners: terjeros@phys.ntnu.no
Branches: FC-6 F-7
InitialCC:
Comment 6 Toshio Kuratomi 2007-08-07 19:22:27 EDT
Cvs done.
Comment 7 Terje Røsten 2007-08-08 17:24:12 EDT
Bodhi done.

Note You need to log in before you can comment on or make changes to this bug.